View Issue Details

IDProjectCategoryView StatusLast Update
0005204SOGoWeb Mailpublic2020-11-26 16:38
Reporterwimmer Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionfixed 
Product Version5.0.1 
Fixed in Version5.1.0 
Summary0005204: Translations of status digitally signed message
Description

Status of digitally signed message is not translated to selected language.
It is allways English, even though both sentences
"Message is signed"
"Digital signature is not valid"
have translated strings in language resources.

Sentence
"No error information available" has no translations in language resources.

TagsNo tags attached.

Activities

wimmer

wimmer

2020-11-13 16:50

reporter   ~0014942

I compiled current git tree (and I see your changes in the source code), but the problem is the same.
I used sogo-5.0.1.20201113-1 from your repository and there is the same problem also.

francis

francis

2020-11-13 17:04

administrator   ~0014943

The Czech translation wasn't updated yet. Please try again with my latest commits.

wimmer

wimmer

2020-11-13 18:05

reporter   ~0014944

Yes, that's fine now.

BTW - when I open signed message with expired certificate, SOGo uses "No error information available" label for this case.
Thundrbird uses label "Digital signature is not valid" ("Elektronický podpis není platný" in Czech) what I consider for much better.

Thanks for your work, Milos

Related Changesets

sogo: master e6088c90

2020-11-06 20:41:38

francis

Details Diff
i18n(mail): fix status for message validity

Fixes 0005204
Affected Issues
0005204
mod - UI/MailPartViewers/English.lproj/Localizable.strings Diff File
mod - UI/MailerUI/English.lproj/Localizable.strings Diff File

sogo: master e2e5e6fe

2020-11-26 16:37:13

francis

Details Diff
i18n(mail): improve generic error message for signed/encrypted messages

Fixes 0005204
Affected Issues
0005204
mod - UI/MailPartViewers/UIxMailPartEncryptedViewer.m Diff File
mod - UI/MailPartViewers/UIxMailPartSignedViewer.m Diff File
mod - UI/MailerUI/English.lproj/Localizable.strings Diff File

Issue History

Date Modified Username Field Change
2020-11-05 13:27 wimmer New Issue
2020-11-09 10:50 francis Changeset attached => sogo master e6088c90
2020-11-09 10:50 francis Assigned To => francis
2020-11-09 10:50 francis Resolution open => fixed
2020-11-09 10:51 francis Status new => resolved
2020-11-09 10:51 francis Fixed in Version => 5.1.0
2020-11-13 16:49 wimmer Status resolved => feedback
2020-11-13 16:50 wimmer Resolution fixed => reopened
2020-11-13 16:50 wimmer Note Added: 0014942
2020-11-13 17:04 francis Note Added: 0014943
2020-11-13 18:05 wimmer Note Added: 0014944
2020-11-13 18:05 wimmer Status feedback => assigned
2020-11-26 16:38 francis Changeset attached => sogo master e2e5e6fe
2020-11-26 16:38 francis Resolution reopened => fixed